Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.xds.metadata.extract
Class InputStreamFolderExtractor

    java.lang.Object
      org.eclipse.ohf.ihe.xds.metadata.extract.InputStreamFolderExtractor

All Implemented Interfaces:
  FolderExtractor

    public class InputStreamFolderExtractor

extends java.lang.Object
implements FolderExtractor

Extracts metadata from a metadata.xsd conformant InputStream and populates an instance of a Folder.

Author:
  Sarah Knoop

Field Summary
`static java.lang.String` | `DESCRIPTOR` Descriptor for Extractor

Constructor Summary
`InputStreamFolderExtractor(java.io.InputStream folderInputStream)` Creates an extractor for the InputStream given.

Method Summary
`FolderType` | `extract()` Renders a FolderType object from a InputStream containing a single instance of a FolderType conformant to the metadata.xsd.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DESCRIPTOR

    public static final java.lang.String DESCRIPTOR

  Descriptor for Extractor

  See Also:
    Constant Field Values

Constructor Detail

### InputStreamFolderExtractor

    public InputStreamFolderExtractor(java.io.InputStream folderInputStream)

  Creates an extractor for the InputStream given. InputStream must contain a single instance of a FolderType conformant to the metadata.xsd.

  Parameters:
    `folderInputStream` -

Method Detail

### extract

    public FolderType extract()
                       throws MetadataExtractionException

  Renders a FolderType object from a InputStream containing a single instance of a FolderType conformant to the metadata.xsd.

  Specified by:
    `extract` in interface `FolderExtractor`
  Throws:
    `MetadataExtractionException`
  See Also:
    `FolderExtractor.extract()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD